## qtjsbackend-opensource-src 5.0.1

=== src/3rdparty/v8/Makefile ===
# Copyright 2012 the V8 project authors. All rights reserved.
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#     * Neither the name of Google Inc. nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


# Variable default definitions. Override them by exporting them in your shell.
CXX ?= g++
LINK ?= g++
OUTDIR ?= out
TESTJOBS ?= -j16
GYPFLAGS ?=
TESTFLAGS ?=
ANDROID_NDK_ROOT ?=
ANDROID_TOOL_PREFIX = $(ANDROID_NDK_ROOT)/toolchain/bin/arm-linux-androideabi

# Special build flags. Use them like this: "make library=shared"

# library=shared || component=shared_library
ifeq ($(library), shared)
  GYPFLAGS += -Dcomponent=shared_library
endif
ifdef component
  GYPFLAGS += -Dcomponent=$(component)
endif
# console=readline
ifdef console
  GYPFLAGS += -Dconsole=$(console)
endif
# disassembler=on
ifeq ($(disassembler), on)
  GYPFLAGS += -Dv8_enable_disassembler=1
endif
# objectprint=on
ifeq ($(objectprint), on)
  GYPFLAGS += -Dv8_object_print=1
endif
# snapshot=off
ifeq ($(snapshot), off)
  GYPFLAGS += -Dv8_use_snapshot='false'
endif
# gdbjit=on
ifeq ($(gdbjit), on)
  GYPFLAGS += -Dv8_enable_gdbjit=1
endif
# liveobjectlist=on
ifeq ($(liveobjectlist), on)
  GYPFLAGS += -Dv8_use_liveobjectlist=true
endif
# vfp3=off
ifeq ($(vfp3), off)
  GYPFLAGS += -Dv8_can_use_vfp_instructions=false
else
  GYPFLAGS += -Dv8_can_use_vfp_instructions=true
endif
# debuggersupport=off
ifeq ($(debuggersupport), off)
  GYPFLAGS += -Dv8_enable_debugger_support=0
endif
# soname_version=1.2.3
ifdef soname_version
  GYPFLAGS += -Dsoname_version=$(soname_version)
endif
# werror=no
ifeq ($(werror), no)
  GYPFLAGS += -Dwerror=''
endif
# presubmit=no
ifeq ($(presubmit), no)
  TESTFLAGS += --no-presubmit
endif
# strictaliasing=off (workaround for GCC-4.5)
ifeq ($(strictaliasing), off)
  GYPFLAGS += -Dv8_no_strict_aliasing=1
endif

# ----------------- available targets: --------------------
# - "dependencies": pulls in external dependencies (currently: GYP)
# - any arch listed in ARCHES (see below)
# - any mode listed in MODES
# - every combination <arch>.<mode>, e.g. "ia32.release"
# - "native": current host's architecture, release mode
# - any of the above with .check appended, e.g. "ia32.release.check"
# - "android": cross-compile for Android/ARM (release mode)
# - default (no target specified): build all DEFAULT_ARCHES and MODES
# - "check": build all targets and run all tests
# - "<arch>.clean" for any <arch> in ARCHES
# - "clean": clean all ARCHES

# ----------------- internal stuff ------------------------

# Architectures and modes to be compiled. Consider these to be internal
# variables, don't override them (use the targets instead).
ARCHES = ia32 x64 arm mips
DEFAULT_ARCHES = ia32 x64 arm
MODES = release debug

# List of files that trigger Makefile regeneration:
GYPFILES = build/all.gyp build/common.gypi build/standalone.gypi \
           preparser/preparser.gyp samples/samples.gyp src/d8.gyp \
           test/cctest/cctest.gyp tools/gyp/v8.gyp

# Generates all combinations of ARCHES and MODES, e.g. "ia32.release".
BUILDS = $(foreach mode,$(MODES),$(addsuffix .$(mode),$(ARCHES)))
# Generates corresponding test targets, e.g. "ia32.release.check".
CHECKS = $(addsuffix .check,$(BUILDS))
# File where previously used GYPFLAGS are stored.
ENVFILE = $(OUTDIR)/environment

.PHONY: all check clean dependencies $(ENVFILE).new native \
        $(ARCHES) $(MODES) $(BUILDS) $(CHECKS) $(addsuffix .clean,$(ARCHES)) \
        $(addsuffix .check,$(MODES)) $(addsuffix .check,$(ARCHES)) \
        must-set-ANDROID_NDK_ROOT

# Target definitions. "all" is the default.
all: $(MODES)

# Special target for the buildbots to use. Depends on $(OUTDIR)/Makefile
# having been created before.
buildbot:
	$(MAKE) -C "$(OUTDIR)" BUILDTYPE=$(BUILDTYPE) \
	        builddir="$(abspath $(OUTDIR))/$(BUILDTYPE)"

# Compile targets. MODES and ARCHES are convenience targets.
.SECONDEXPANSION:
$(MODES): $(addsuffix .$$@,$(DEFAULT_ARCHES))

$(ARCHES): $(addprefix $$@.,$(MODES))

# Defines how to build a particular target (e.g. ia32.release).
$(BUILDS): $(OUTDIR)/Makefile.$$(basename $$@)
	@$(MAKE) -C "$(OUTDIR)" -f Makefile.$(basename $@) \
	         CXX="$(CXX)" LINK="$(LINK)" \
	         BUILDTYPE=$(shell echo $(subst .,,$(suffix $@)) | \
	                     python -c "print raw_input().capitalize()") \
	         builddir="$(shell pwd)/$(OUTDIR)/$@"

native: $(OUTDIR)/Makefile.native
	@$(MAKE) -C "$(OUTDIR)" -f Makefile.native \
	         CXX="$(CXX)" LINK="$(LINK)" BUILDTYPE=Release \
	         builddir="$(shell pwd)/$(OUTDIR)/$@"

# TODO(jkummerow): add "android.debug" when we need it.
android android.release: $(OUTDIR)/Makefile.android
	@$(MAKE) -C "$(OUTDIR)" -f Makefile.android \
	        CXX="$(ANDROID_TOOL_PREFIX)-g++" \
	        AR="$(ANDROID_TOOL_PREFIX)-ar" \
	        RANLIB="$(ANDROID_TOOL_PREFIX)-ranlib" \
	        CC="$(ANDROID_TOOL_PREFIX)-gcc" \
	        LD="$(ANDROID_TOOL_PREFIX)-ld" \
	        LINK="$(ANDROID_TOOL_PREFIX)-g++" \
	        BUILDTYPE=Release \
	        builddir="$(shell pwd)/$(OUTDIR)/android.release"

# Test targets.
check: all
	@tools/test-wrapper-gypbuild.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --arch=$(shell echo $(DEFAULT_ARCHES) | sed -e 's/ /,/g') \
	    $(TESTFLAGS)

$(addsuffix .check,$(MODES)): $$(basename $$@)
	@tools/test-wrapper-gypbuild.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --mode=$(basename $@) $(TESTFLAGS)

$(addsuffix .check,$(ARCHES)): $$(basename $$@)
	@tools/test-wrapper-gypbuild.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --arch=$(basename $@) $(TESTFLAGS)

$(CHECKS): $$(basename $$@)
	@tools/test-wrapper-gypbuild.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --arch-and-mode=$(basename $@) $(TESTFLAGS)

native.check: native
	@tools/test-wrapper-gypbuild.py $(TESTJOBS) --outdir=$(OUTDIR)/native \
	    --arch-and-mode=. $(TESTFLAGS)

# Clean targets. You can clean each architecture individually, or everything.
$(addsuffix .clean,$(ARCHES)) android.clean:
	rm -f $(OUTDIR)/Makefile.$(basename $@)
	rm -rf $(OUTDIR)/$(basename $@).release
	rm -rf $(OUTDIR)/$(basename $@).debug
	find $(OUTDIR) -regex '.*\(host\|target\).$(basename $@)\.mk' -delete

native.clean:
	rm -f $(OUTDIR)/Makefile.native
	rm -rf $(OUTDIR)/native
	find $(OUTDIR) -regex '.*\(host\|target\).native\.mk' -delete

clean: $(addsuffix .clean,$(ARCHES)) native.clean android.clean

# GYP file generation targets.
MAKEFILES = $(addprefix $(OUTDIR)/Makefile.,$(ARCHES))
$(MAKEFILES): $(GYPFILES) $(ENVFILE)
	GYP_GENERATORS=make \
	build/gyp/gyp --generator-output="$(OUTDIR)" build/all.gyp \
	              -Ibuild/standalone.gypi --depth=. \
	              -Dv8_target_arch=$(subst .,,$(suffix $@)) \
	              -S.$(subst .,,$(suffix $@)) $(GYPFLAGS)

$(OUTDIR)/Makefile.native: $(GYPFILES) $(ENVFILE)
	GYP_GENERATORS=make \
	build/gyp/gyp --generator-output="$(OUTDIR)" build/all.gyp \
	              -Ibuild/standalone.gypi --depth=. -S.native $(GYPFLAGS)

$(OUTDIR)/Makefile.android: $(GYPFILES) $(ENVFILE) build/android.gypi \
                            must-set-ANDROID_NDK_ROOT
	GYP_GENERATORS=make \
	CC="${ANDROID_TOOL_PREFIX}-gcc" \
	CXX="${ANDROID_TOOL_PREFIX}-g++" \
	build/gyp/gyp --generator-output="$(OUTDIR)" build/all.gyp \
	              -Ibuild/standalone.gypi --depth=. -Ibuild/android.gypi \
	              -S.android $(GYPFLAGS)

must-set-ANDROID_NDK_ROOT:
ifndef ANDROID_NDK_ROOT
	  $(error ANDROID_NDK_ROOT is not set)
endif

# Replaces the old with the new environment file if they're different, which
# will trigger GYP to regenerate Makefiles.
$(ENVFILE): $(ENVFILE).new
	@if test -r $(ENVFILE) && cmp $(ENVFILE).new $(ENVFILE) >/dev/null; \
	    then rm $(ENVFILE).new; \
	    else mv $(ENVFILE).new $(ENVFILE); fi

# Stores current GYPFLAGS in a file.
$(ENVFILE).new:
	@mkdir -p $(OUTDIR); echo "GYPFLAGS=$(GYPFLAGS)" > $(ENVFILE).new; \
	    echo "CXX=$(CXX)" >> $(ENVFILE).new

# Dependencies.
dependencies:
	svn checkout --force http://gyp.googlecode.com/svn/trunk build/gyp \
	    --revision 1282

=== debian/changelog ===
qtjsbackend-opensource-src (5.0.1-0ubuntu3) raring; urgency=low

  * Add Vcs-Bzr for ~kubuntu-packaging

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 21 Mar 2013 06:53:27 +0000

qtjsbackend-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  * debian/control
    - v8 only supports amd64, i386 and armhf so setting Architecture 
      to just those

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 20 Mar 2013 12:31:59 -0400

qtjsbackend-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Cherry-pick from upstream:
    - add_license_files.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 08:03:59 +0000

=== debian/control ===
Source: qtjsbackend-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               python,
               qt5-default,
               qtbase5-private-dev (>= 5.0.1~)
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtjsbackend-opensource-src

Package: libqt5v8-5
Architecture: amd64 i386 armhf
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 JavaScript backend module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt JavaScript backend module powered by V8 JavaScript engine.

Package: libqt5v8-5-dev
Section: libdevel
Architecture: amd64 i386 armhf
Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
Description: Qt 5 JavaScript backend development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using V8 JavaScript engine.

Package: libqt5v8-5-private-dev
Architecture: amd64 i386 armhf
Section: libdevel
Depends: libqt5v8-5-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 JavaScript backend private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files used for building
 Qt 5 applications using V8 JavaScript engine private headers.

Package: libqt5v8-5-dbg
Priority: extra
Architecture: amd64 i386 armhf
Section: debug
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
Description: Qt 5 JavaScript backend debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 V8 library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --dbg-package=libqt5v8-5-dbg

override_dh_auto_configure:
	qmake

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules_tar/qtjsbackend-opensource-src-([^-]*)\.tar.xz

## qtjsbackend-opensource-src 5.0.2

=== debian/changelog ===
qtjsbackend-opensource-src (5.0.2-3) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Confirm symbols files for i386.

  [ Pino Toscano ]
  * debian/control: remove unused ${misc:Pre-Depends} from libqt5v8-5-dev,
    libqt5v8-5-private-dev and libqt5v8-5-dbg.
  * debian/control: remove unused ${shlibs:Depends} from
    libqt5v8-5-private-dev.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Apr 2013 17:56:04 -0300

qtjsbackend-opensource-src (5.0.2-2) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Do not pass --list-missing. We are using --fail-missing in the exact rule.
  * Export QT_SELECT=qt5 to avoid a FTBFS when the debhelper patch that makes
    Qt4 as default get included.
    - Remove qt5-default as B-D, as it's not really needed now.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 20 Apr 2013 14:40:57 -0300

qtjsbackend-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Apr 2013 15:51:45 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtjsbackend-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -11,15 +10,16 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
+               pkg-kde-tools,
                python,
-               qt5-default,
-               qtbase5-private-dev (>= 5.0.1~)
+               qtbase5-private-dev (>= 5.0.2~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtjsbackend-opensource-src
+Vcs-Git: git://git.debian.org/pkg-kde/qt/qtjsbackend.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtjsbackend.git;a=summary
 
 Package: libqt5v8-5
-Architecture: amd64 i386 armhf
+Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -31,7 +31,8 @@
 
 Package: libqt5v8-5-dev
 Section: libdevel
-Architecture: amd64 i386 armhf
+Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
 Description: Qt 5 JavaScript backend development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -41,9 +42,10 @@
  applications using V8 JavaScript engine.
 
 Package: libqt5v8-5-private-dev
-Architecture: amd64 i386 armhf
+Architecture: any
 Section: libdevel
-Depends: libqt5v8-5-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: libqt5v8-5-dev (= ${binary:Version}), ${misc:Depends}
 Description: Qt 5 JavaScript backend private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -53,9 +55,9 @@
 
 Package: libqt5v8-5-dbg
 Priority: extra
-Architecture: amd64 i386 armhf
+Architecture: any
 Section: debug
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
 Description: Qt 5 JavaScript backend debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=libqt5v8-5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_install:
	dh_auto_install

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_install:
	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules/qtjsbackend-opensource-src-([^-]*)\.tar.xz

## qtjsbackend-opensource-src 5.1.1

=== debian/changelog ===
qtjsbackend-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Make libqt5v8-5-dev depend on qtbase5-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Tight Qt buil dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 16:44:46 -0300

qtjsbackend-opensource-src (5.1.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 10 Aug 2013 15:35:42 -0300

qtjsbackend-opensource-src (5.1.0-2) experimental; urgency=low

  * Reintroduce private headers. They are used by qtjsbackend.
  * Make libqt5v8-5 provide qtjsbackend-api-5-1-0.
    In this way we can know if external packages are using private headers.
    - Add the necessary options in the symbols file.
    - Add mark_private_symbols.sh.
    - Mark private symbols by running the above mentioned script.
    - Add lintian override for libqt5v8-5.
  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 10 Jul 2013 12:44:12 -0300

qtjsbackend-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Update Vcs-Browser and Vcs-Git headers.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update watch file.
  * Bump Qt build dependencies to 5.1.0~.
  * Remove libqt5v8-5-private-dev. So far no part of Qt seems to be using it.
    Can be re added later if needed.
    - Delete the files in the dh_auto_install override.
  * Update install files.
  * Update symbols files. The removed symbols where not present in the headers
    we shipped.
  * Make libqt5v8-5-dbg M-A: same to allow coinstallation of debugging symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 09 Jul 2013 22:16:14 -0300

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
                python,
-               qtbase5-private-dev (>= 5.0.2~)
+               qtbase5-private-dev (>= 5.1.1+dfsg~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
-Vcs-Git: git://git.debian.org/pkg-kde/qt/qtjsbackend.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtjsbackend.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtjsbackend.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtjsbackend.git;a=summary
 
 Package: libqt5v8-5
 Architecture: any
@@ -33,7 +33,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
+Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}, qtbase5-dev
 Description: Qt 5 JavaScript backend development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -46,6 +46,7 @@
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5v8-5-dev (= ${binary:Version}), ${misc:Depends}
+Provides: qtjsbackend-abi-5-1-0
 Description: Qt 5 JavaScript backend private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -56,6 +57,7 @@
 Package: libqt5v8-5-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtjsbackend-opensource-src-([^-]*)\.tar.xz
